


<div class="text_right right padded">
<h4 align="center" id="form"><i class="fa fa-check-square success"></i> پرداخت شما با موفقیت انجام شد.</h4>
<%   {func, operator, amount, msisdn} = @invoice.success_callback_action |> Overcharge.Utils.parse_invoice_action  %>
    <%= if func == "topup" && @code == "st-001" do %>
    <div class="padded success">
       <i class="fa fa-info"></i> <span>شارژ مستقیم</span>
        <span><%= amount %> تومانی</span>
        <span><%= case operator do 
            "mci" ->
                "همراه اول"
            "irancell" ->
                "ایرانسل"
            "rightel" ->
                "رایتل"
            "taliya" ->
                "تالیا"
        end %></span>
        <span>به شماره موبایل</span>
        <span><%= msisdn |> String.slice(2,10) %></span>
        <span>ارسال می‌شود.</span>
           <br/>
           <span>
          برای آگاهی از موفقیت عملیات روی <a href="/deliver/<%= @invoice.uuid %>" target="_blank">این لینک</a> کلیک کنید.</span>
            <br/>
            <br/>
        <div class="center">
            <small class="darkback whitecolor">
            لینک اختصاصی خرید سریع خود را ذخیره کنید
            </small>
            <br/>
            <a class="center special_link blueback whitecolor" target="_new" href="<%= Overcharge.Router.Helpers.url(@conn) %>/<%= operator %>/<%= func %>?msisdn=<%= msisdn %>&amount=<%= amount %>">

            <%= msisdn |> String.slice(2,10) %>
            <i class="fa fa-phone"></i>
           <b> شارژم کن </b>
            </a>
        </div>
    </div>
    <%= end %>
    <%= if func == "internet" && @code == "st-001" do %>
        <%# sid = amount |> String.split(":") |> List.first |> String.to_integer %>
        <%# price = amount |> String.split(":") |> List.last |> String.to_integer  %>
        <%# info = Overcharge.Gasedak.get_irancell_package_info(sid, price*10) %>
        <span class="success">
            <%= @invoice.product |> String.replace( " +989", " شماره  9") %> با موفقیت فعال گردید.
        </span>


    <%= end %>
    <%= if @invoice.status == "debugging" do %>
    <div class="danger padded">
        <i class="fa fa-info"></i>
        در هنگام انجام عملیات تحویل محصول خریداری شده توسط شما، خطایی رخ داده است.
        اگر تا
        <b>۱۰ دقیقه</b>
         مشکل برطرف نشود،  با شما تماس  میگیریم و 
         <u>مبلغ پرداخت شده به شما برگردانده می‌شود</u>.
         <br/>
         لطفا
         <b> ۲ دقیقه</b>
          دیگر این صفحه را بروز نمایید و منتظر باشید.
    </div>
    <br/>
    <div class="center">
    <small>
    کد پیگیری شما
    <code><%= @invoice.refid %></code>
    است.
    </small>
    </div>

    <% end %>


<%= if @tmpl do %>
    <%= render Overcharge.PageView, "#{@tmpl}.html", conn: @conn, invoice: @invoice %>
<% end %>

</div>

<br/>
<br/>
<br/>
<hr/>
<div class="center">
<small>از خرید شما ممنونیم.</small>
<small>فاکتور شما در زیر آمده است.</small>
<small>لطفا انتقاد و پیشنهاد خود را با ما درمیان گذارید
<br/>
    <a href="mailto:sales@chargell.i">sales@chargell.ir</a>
<small>
</div>
</div>
<%= render Overcharge.PageView, "invoice.html", conn: @conn, invoice: @invoice %>


